﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls;
using System.Windows.Media.Imaging;

namespace AgApp
{
	public partial class MainPage : UserControl
	{
		private MyViewModel dataContext = new MyViewModel();
		public MainPage()
		{
			InitializeComponent();
			Loaded += new RoutedEventHandler(MainPage_Loaded);
			this.DataContext = this.dataContext;
		}

		void MainPage_Loaded(object sender, RoutedEventArgs e)
		{
			this.DisplayDataContext();
		}

		private void DisplayDataContext()
		{
			if (infoPane != null)
			{
				infoPane.Text = "Data Context: CurrentState = \"" + this.dataContext.CurrentState + "\"";
			}
		}

		private void getInfo_Click(object sender, RoutedEventArgs e)
		{
			this.DisplayDataContext();
		}

		private void RadRadioButton_Checked(object sender, RoutedEventArgs e)
		{
			Dispatcher.BeginInvoke(new Action(() =>
				{
					if (infoPane != null)
					{

						infoPane.Text = "Checked event sender: Type = \"" + sender.GetType() + "\"";
						RadRadioButton button = sender as RadRadioButton;
						if (button != null)
						{
							infoPane.Text += ", IsChecked = " + button.IsChecked
								+ ", Content = \"" + button.Content.ToString() + "\"";
						}
					}
				}));
		}
	}
}
