﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace AgApp
{
	public class MyViewModel : INotifyPropertyChanged
	{
		private MyOptions currentState = MyOptions.Last;

		public event PropertyChangedEventHandler PropertyChanged;

		public MyOptions CurrentState
		{
			get
			{
				return currentState;
			}
			set
			{
				if (this.currentState != value)
				{
					this.currentState = value;
					if (this.PropertyChanged != null)
					{
						PropertyChanged(this, new PropertyChangedEventArgs("CurrentState"));
					}
				}
			}
		}
	}

	public enum MyOptions
	{
		First = 0,
		Second = 1,
		Last = 999
	}
}
